<?php
include "scrinit.php";
include "logo.php";
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js">
</script>
<style type="text/css">
input.right{  text-align:right;  }
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:10pt; }
</style>
</script>

</head>

<body>

<?php
require "dbconnect.php";
$dt=$_SESSION['dt'];
$usr=$_SESSION['usr'];
$gym=$_SESSION['gym'];
$tmima=$_GET['tmima'];
//**************************** paidagogiki omada
	$sql = $dbcon->prepare("SELECT mitroo FROM allstudentinfo WHERE tmima = ? ");
    $sql->execute([$tmima]);
    $count=$sql->rowCount();
	$j=1;
	$syndkath=array();
	$dayf=array(" ","Mon","Tue","Wed","Thu","Fri");
	while($row=$sql->fetch(PDO::FETCH_ASSOC))
	{
		$mitroo=$row['mitroo'];
		$sql1 = $dbcon->prepare("SELECT * FROM stutimetable where mitroo=?");
		$sql1->execute([$mitroo]);
		$row1=$sql1->fetch(PDO::FETCH_ASSOC);
		$nid=$row1['id']+1;
		$sql2 = $dbcon->prepare("SELECT * FROM stutimetable where id=?");
		$sql2->execute([$nid]);
		$row2=$sql2->fetch(PDO::FETCH_ASSOC);
		for ($x=1;$x<=5;$x++)
		{
	    for ($per=1;$per<=$gym;$per++)
	    {
            $day=$dayf[$x].$per;
		    $uprow= $row1["$day"];
			$drow=$row2["$day"];
		    $arr = explode("/", $drow);
		    $syndkath[$j]=$uprow."/".$arr[1]."/".$arr[2];
			
			$j++;
        }
		}
    } 

$st=array_values(array_unique($syndkath));

$tm1=$teach1=array();
$tot = count($st);
$k=0;
for ($i=0;$i<=$tot;$i++)
{
	$ar = explode("/",$st[$i]);
	if (!empty($ar[2]))
	{
	$k++;	
	$teach1[$k]=$ar[2];
	$tma[$k]=trim($ar[0]);
	$tm1[$k]=trim($ar[1]);
	}
}
//print_r($tm1);echo "<br>";
//print_r($tma);
//************ end pedagogiki******* $k o arithmos mathimaton
$jk=0;
for  ($i=1;$i<=$k;$i++)
{
	if (!strstr($tma[$i],'Στ'))
	{
	$q=mysqli_query($con,"select lesson,id from pedamaster where tmima='$tma[$i]' and lesson='$tm1[$i]'");
	$cc=mysqli_num_rows($q);
	if($cc > 0)
	{
		$jk++;
		$row=mysqli_fetch_array($q); 
		$code=$row['id'];
		$cod[$jk]=$row['id'];
		$ls=explode("(",$row['lesson']);
		$les=trim($ls[0]);
		$ll=explode("-",$les);
		$les=trim($ll[0]);
		$q2=mysqli_query($con,"SELECT mathima FROM kodikoimathimatos WHERE kodikos='$les' ");
		$row2=mysqli_fetch_array($q2);
		$lesson[$jk]=$row2['mathima'];
		$les1[$code]=$row2['mathima'];
	}
	}
}
$result = mysqli_query($con,"SELECT mitroo,eponimo,onoma FROM allstudentinfo WHERE tmima='$tmima' ORDER BY eponimo,onoma  ");
$cr=0;
while($row = mysqli_fetch_array($result))
{
	 $cr++;
	 $mt[$cr]=$row['mitroo'];
	 $epo[$cr]=$row['eponimo']." ".$row['onoma'];
}
?><h3> ΠΟΙΟΤΙΚΑ ΧΑΡΑΚΤΗΡΙΣΤΙΚΑ ΓΙΑ : <?php echo $tmima;?> </h3><?php
echo "<table class='myTable' >
<tr style='border:1px solid black' bgcolor='#d6ff73'  >
<th colspan='3'></th>";
for ($k=1;$k<=$jk;$k++)
{
	echo "<th colspan='4'>".$lesson[$k]."</th>";
	if ($k < $i) echo "<th></th>";
}
echo "</tr><tr>
<th colspan='3'> </th>";
for ($k=1;$k<=$jk;$k++)
{
	echo "<th>ΣΥΝ</th><th>ΠΕΙΘ</th><th>ΠΡΟ</th><th>ΒΑΘ</th>";
	if ($k < $i) echo "<th></th>";
}
echo "</tr>";

$j=1;
for ($j=1;$j<=$cr;$j++)
{
	for ($n=1;$n<=$jk;$n++)
	{
		$m=$lesson[$n];
		$mit=$mt[$j];
		$sql=mysqli_query($con,"SELECT * FROM pedanew WHERE mitroo='$mt[$j]' and code='$cod[$n]' ");
		while($row=mysqli_fetch_array($sql))
		{
			$p0[$mit][$m]= $row['sinepia'];
			$p1[$mit][$m]=$row['pitharxia'];
			$p2[$mit][$m]=$row['beltiosi'];
			$p3[$mit][$m]=$row['grade'];
		}
	}
}
for ($j=1;$j<=$cr;$j++)
{
	echo "<tr>";
	echo "<td><div style='width: 10px;'>".$j."</div></td>"; 
	echo "<td>".$mt[$j]."</td>";
	echo "<td><div style='width: 180px;'>".$epo[$j]."</div></td>"; 
	$mit=$mt[$j];
	
	for ($n=1;$n<=$jk;$n++)
	{
		$m=$lesson[$n];
		if ($p0[$mit][$m] > 0) {echo "<td>".$p0[$mit][$m]."</td>";}	else {echo "<td>".""."</td>";}
		if ($p1[$mit][$m] > 0) {echo "<td>".$p1[$mit][$m]."</td>";}	else {echo "<td>".""."</td>";}
		if ($p2[$mit][$m] > 0) {echo "<td>".$p2[$mit][$m]."</td>";}	else {echo "<td>".""."</td>";}			
		if ($p3[$mit][$m] > 0) {echo "<td>".$p3[$mit][$m]."</td>";}	else {echo "<td>".""."</td>";}				
		echo "<td></td>";
	}		
			
	echo "</tr>";
}
echo "</table>";

echo "<br>";
echo "<table class='myTable' >
<tr style='border:1px solid black'  >";
echo "<tr>";
echo "<td>";
?><pre>
ΣΥΝΕΠΕΙΑ

1. Καθόλου 
2. Λίγη
3. Ικανοποιητική
4. Εξαίρετη

Φέρνει βιβλία, τετράδια κλπ
Κάνει την κατ οίκον εργασία
Τηρά τα χρονοδιαγράμματα
</pre></td><td></td>
<td><pre>
ΠΕΙΘΑΡΧΙΑ

1. Μη αποδεχτή συμπεριφορά
2. Ικανοποιητική
3. Καλή
4. Εξαίρετη

Ακολουθεί οδηγίες
Δεν ενοχλεί
Δεν διακόπτει το μάθημα
Δεν καθυστερεί
</pre></td><td></td>
<td><pre>
ΠΡΟΣΠΑΘΕΙΑ/ΣΥΝΕΙΣΦΟΡΑ
 1. Καθόλου 
 2. Λίγη
 3. Ικανοποιητική
 4. Εξαίρετη
 5. Μείωση

Συμμετέχει και συνεισφέρει στο μάθημα
Καταβάλλει προσπάθεια
Αναλαμβάνει πρωτοβουλίες
</pre></td></tr></table>

<br><br>

<input type="button" name="epistrofi" value="Επιστροφή" onClick="self.close()"> 
</body>
</html>